Activity log for bug #1068404

Date Who What changed Old value New value Message
2012-10-19 01:05:14 Marco Vuano bug added bug
2012-10-19 13:55:12 Marco Vuano summary Switchable graphics on 6470M (Powerxpress 4.0) not working again Switchable graphics on 6XXXM (PowerXpress 4.0/Dynamic Switchable Graphics) not working again
2012-10-19 14:03:04 Marco Vuano bug task added fglrx-installer (Ubuntu)
2012-10-19 14:07:28 Marco Vuano description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting, (++) from command line, (!!) notice, (II) informational, (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to: /usr/share/fonts/X11/misc, /usr/share/fonts/X11/Type1, /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType, built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices. If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support at http://wiki.x.org for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem.
2012-10-19 14:36:13 Marco Vuano attachment added dmesgfglrx https://bugs.launchpad.net/bugs/1068404/+attachment/3404316/+files/dmesgfglrx
2012-10-19 14:36:13 Marco Vuano attachment added Xorglogfglrx https://bugs.launchpad.net/bugs/1068404/+attachment/3404317/+files/Xorglogfglrx
2012-10-19 14:36:13 Marco Vuano attachment added lshwfglrx https://bugs.launchpad.net/bugs/1068404/+attachment/3404318/+files/lshwfglrx
2012-10-19 14:36:13 Marco Vuano attachment added unamefglrx https://bugs.launchpad.net/bugs/1068404/+attachment/3404319/+files/unamefglrx
2012-10-19 14:36:13 Marco Vuano attachment added fglrxpackage https://bugs.launchpad.net/bugs/1068404/+attachment/3404320/+files/fglrxpackage
2012-10-19 14:36:13 Marco Vuano attachment added xorgconffglrx https://bugs.launchpad.net/bugs/1068404/+attachment/3404321/+files/xorgconffglrx
2012-10-19 14:38:55 Marco Vuano description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem.
2012-10-19 18:45:33 Launchpad Janitor fglrx-installer (Ubuntu): status New Confirmed
2012-10-19 18:45:33 Launchpad Janitor fglrx-installer-updates (Ubuntu): status New Confirmed
2012-10-19 18:47:03 Valentin Vasilev bug added subscriber Valentin Vasilev
2012-10-20 13:18:34 Mikel Ruiz bug added subscriber Mikel Ruiz
2012-10-22 07:30:43 Gareth bug added subscriber Gareth
2012-10-22 13:07:10 Christopher M. Penalver fglrx-installer (Ubuntu): status Confirmed Incomplete
2012-10-22 13:20:46 Gareth tags apport-collected quantal running-unity ubuntu
2012-10-22 13:20:49 Gareth attachment added ProcEnviron.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3408835/+files/ProcEnviron.txt
2012-10-22 13:43:52 Christopher M. Penalver attachment removed ProcEnviron.txt https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/+attachment/3408835/+files/ProcEnviron.txt
2012-10-22 13:44:45 Christopher M. Penalver tags apport-collected quantal running-unity ubuntu
2012-10-22 22:07:13 Marco Vuano tags apport-collected compiz-0.9 precise referred-by-support running-unity ubuntu
2012-10-22 22:07:15 Marco Vuano description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller]) Subsystem: Hewlett-Packard Company Device [103c:1670] Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller]) Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron: TERM=xterm PATH=(custom, no user) LANG=en_US.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-10-22 22:07:16 Marco Vuano attachment added BootDmesg.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409527/+files/BootDmesg.txt
2012-10-22 22:07:19 Marco Vuano attachment added BootLog.gz https://bugs.launchpad.net/bugs/1068404/+attachment/3409528/+files/BootLog.gz
2012-10-22 22:07:20 Marco Vuano attachment added CurrentDmesg.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409529/+files/CurrentDmesg.txt
2012-10-22 22:07:25 Marco Vuano attachment added DpkgLog.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409530/+files/DpkgLog.txt
2012-10-22 22:07:26 Marco Vuano attachment added GconfCompiz.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409531/+files/GconfCompiz.txt
2012-10-22 22:07:28 Marco Vuano attachment added LightdmLog.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409532/+files/LightdmLog.txt
2012-10-22 22:07:30 Marco Vuano attachment added Lspci.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409533/+files/Lspci.txt
2012-10-22 22:07:32 Marco Vuano attachment added Lsusb.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409534/+files/Lsusb.txt
2012-10-22 22:07:34 Marco Vuano attachment added ProcCpuinfo.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409535/+files/ProcCpuinfo.txt
2012-10-22 22:07:35 Marco Vuano attachment added ProcInterrupts.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409536/+files/ProcInterrupts.txt
2012-10-22 22:07:37 Marco Vuano attachment added ProcModules.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409537/+files/ProcModules.txt
2012-10-22 22:07:38 Marco Vuano attachment added UdevDb.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409538/+files/UdevDb.txt
2012-10-22 22:07:41 Marco Vuano attachment added UdevLog.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409539/+files/UdevLog.txt
2012-10-22 22:07:42 Marco Vuano attachment added UnitySupportTest.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409540/+files/UnitySupportTest.txt
2012-10-22 22:07:44 Marco Vuano attachment added XorgLog.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409541/+files/XorgLog.txt
2012-10-22 22:07:45 Marco Vuano attachment added XorgLogOld.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409542/+files/XorgLogOld.txt
2012-10-22 22:07:47 Marco Vuano attachment added Xrandr.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409543/+files/Xrandr.txt
2012-10-22 22:07:48 Marco Vuano attachment added xdpyinfo.txt https://bugs.launchpad.net/bugs/1068404/+attachment/3409544/+files/xdpyinfo.txt
2012-10-23 03:08:49 Christopher M. Penalver summary Switchable graphics on 6XXXM (PowerXpress 4.0/Dynamic Switchable Graphics) not working again 1002:6760 Switchable graphics on Radeon HD 6400M not working again
2012-10-23 03:09:16 Christopher M. Penalver fglrx-installer (Ubuntu): status Incomplete New
2012-10-24 14:20:21 Ikuya Awashiro bug added subscriber Ikuya Awashiro
2012-10-24 23:34:58 Launchpad Janitor fglrx-installer (Ubuntu): status New Confirmed
2012-10-25 02:31:17 Nick Andrik bug added subscriber Nick Andrik
2012-10-27 00:33:14 Nick Andrik bug task added xserver-xorg-video-intel (Ubuntu)
2012-10-27 01:35:23 Christopher M. Penalver bug watch added https://bugzilla.novell.com/show_bug.cgi?id=780672
2012-10-27 01:35:23 Christopher M. Penalver bug task added xserver-xorg-video-intel (openSUSE)
2012-10-27 01:45:29 Christopher M. Penalver xserver-xorg-video-intel (Ubuntu): status New Incomplete
2012-10-27 10:03:35 Bug Watch Updater xserver-xorg-video-intel (openSUSE): status Unknown In Progress
2012-10-27 10:03:35 Bug Watch Updater xserver-xorg-video-intel (openSUSE): importance Unknown Critical
2012-10-27 12:43:23 Christopher M. Penalver description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller]) Subsystem: Hewlett-Packard Company Device [103c:1670] Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller]) Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron: TERM=xterm PATH=(custom, no user) LANG=en_US.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-10-27 12:46:58 Christopher M. Penalver xserver-xorg-video-intel (Ubuntu): status Incomplete New
2012-10-27 19:11:55 Launchpad Janitor xserver-xorg-video-intel (Ubuntu): status New Confirmed
2012-10-27 23:16:13 xpto bug added subscriber xpto
2012-10-29 17:48:50 Arnaud BERCEGEAY bug added subscriber Arnaud BERCEGEAY
2012-10-29 19:43:11 Nick Andrik marked as duplicate 1068661
2012-10-29 19:59:56 Christopher M. Penalver removed duplicate marker 1068661
2012-10-29 23:45:55 Nick Andrik fglrx-installer-updates (Ubuntu): assignee Nick Andrik (andrikos)
2012-10-29 23:46:02 Nick Andrik xserver-xorg-video-intel (Ubuntu): assignee Nick Andrik (andrikos)
2012-10-30 00:00:30 Christopher M. Penalver description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-10-30 02:11:59 Nick Andrik attachment added Fixes regression in ati/intel hybrid systems https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/+attachment/3418227/+files/fix-ati-hybrid.patch
2012-10-30 02:52:50 Christopher M. Penalver description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-10-30 02:59:39 Christopher M. Penalver xserver-xorg-video-intel (Ubuntu): status Confirmed Incomplete
2012-10-30 03:26:42 Nick Andrik fglrx-installer (Ubuntu): assignee Nick Andrik (andrikos)
2012-10-30 04:18:25 Ubuntu Foundations Team Bug Bot tags apport-collected compiz-0.9 precise referred-by-support running-unity ubuntu apport-collected compiz-0.9 patch precise referred-by-support running-unity ubuntu
2012-10-30 04:18:32 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Review Team
2012-10-30 17:34:57 Nick Andrik fglrx-installer (Ubuntu): status Confirmed In Progress
2012-10-30 17:35:00 Nick Andrik fglrx-installer-updates (Ubuntu): status Confirmed In Progress
2012-10-30 17:35:30 Nick Andrik xserver-xorg-video-intel (Ubuntu): status Incomplete In Progress
2012-11-01 02:57:52 Nick Andrik bug added subscriber Ubuntu-X
2012-11-01 03:03:21 Nick Andrik attachment added Fix for fglrx driver to allow switching to intel gpu https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/+attachment/3420244/+files/xsession.patch
2012-11-01 11:11:51 Nick Andrik tags apport-collected compiz-0.9 patch precise referred-by-support running-unity ubuntu apport-collected compiz-0.9 patch quantal referred-by-support running-unity ubuntu
2012-11-01 11:26:40 Nick Andrik bug watch added https://bugs.freedesktop.org/show_bug.cgi?id=56494
2012-11-01 11:26:40 Nick Andrik bug task added fglrx
2012-11-01 11:26:52 Nick Andrik bug task deleted fglrx
2012-11-01 11:27:27 Nick Andrik bug task added xserver-xorg-video-intel
2012-11-01 12:26:08 Bug Watch Updater xserver-xorg-video-intel: status Unknown Won't Fix
2012-11-01 12:26:08 Bug Watch Updater xserver-xorg-video-intel: importance Unknown Medium
2012-11-01 12:26:13 Bug Watch Updater bug watch added http://ati.cchtml.com/show_bug.cgi?id=634
2012-11-01 12:26:13 Bug Watch Updater bug watch added http://ati.cchtml.com/show_bug.cgi?id=580
2012-11-01 12:56:47 bugbot tags apport-collected compiz-0.9 patch quantal referred-by-support running-unity ubuntu apport-collected compiz-0.9 patch precise quantal referred-by-support running-unity ubuntu
2012-11-01 19:25:14 Edson bug added subscriber Edson
2012-11-02 14:37:30 greg606 bug added subscriber greg606
2012-11-03 09:51:42 frandi bug added subscriber jagh
2012-11-04 07:49:18 Josh Isaacs attachment added X.org log file https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1068404/+attachment/3423350/+files/XorgFail
2012-11-04 15:57:29 Christopher M. Penalver attachment removed X.org log file https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/+attachment/3423350/+files/XorgFail
2012-11-05 19:46:02 Launchpad Janitor branch linked lp:~andrikos/ubuntu/quantal/xserver-xorg-video-intel/fix-ati-hybrid
2012-11-05 20:34:01 Nick Andrik branch linked lp:~andrikos/ubuntu/quantal/fglrx-installer/fix-switch-to-igpu
2012-11-06 20:10:30 Christopher M. Penalver description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-11-06 23:20:56 Drew Rosoff bug added subscriber Drew Rosoff
2012-11-08 07:46:36 Alfred E. Neumayer bug added subscriber Alfred Neumayer
2012-11-09 13:19:32 Sebastien Bacher bug added subscriber Alberto Milone
2012-11-23 03:51:35 Nick Andrik bug added subscriber Ubuntu Sponsors Team
2012-11-27 18:11:05 marcel bug added subscriber marcel
2012-12-05 13:06:47 Timo Aaltonen xserver-xorg-video-intel (Ubuntu): status In Progress Invalid
2012-12-06 08:20:11 Ludo Stellingwerff bug added subscriber Ludo Stellingwerff
2012-12-06 13:09:32 Renato Bueno bug added subscriber Renato Bueno
2012-12-07 16:55:26 Nick Andrik summary 1002:6760 Switchable graphics on Radeon HD 6400M not working again Hybrid ATI/Intel GPU systems do not work after fglrx upgrade
2012-12-07 17:02:48 Nick Andrik description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . WORKAROUND: https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-12-07 17:04:23 Nick Andrik fglrx-installer-updates (Ubuntu): status In Progress Fix Released
2012-12-07 17:04:35 Nick Andrik fglrx-installer-updates (Ubuntu): assignee Nick Andrik (andrikos)
2012-12-07 17:05:02 Nick Andrik description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-12-07 17:06:01 Nick Andrik marked as duplicate 1068661
2012-12-07 17:07:08 Nick Andrik removed duplicate marker 1068661
2012-12-07 17:13:31 Nick Andrik fglrx-installer (Ubuntu): assignee Nick Andrik (andrikos)
2012-12-07 17:14:08 Nick Andrik summary Hybrid ATI/Intel GPU systems do not work after fglrx upgrade Low graphics mode in Hybrid ATI/Intel GPU systems after fglrx upgrade
2012-12-07 17:15:49 Nick Andrik description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-12-07 17:26:12 Nick Andrik description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: compiz --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-12-08 04:52:43 lengzhen bug added subscriber lengzhen
2012-12-09 14:27:28 Nick Andrik description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: compiz --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-12-11 21:37:13 Christopher M. Penalver fglrx-installer-updates (Ubuntu): status Fix Released Fix Committed
2012-12-30 12:10:32 Ped bug added subscriber Ped
2013-01-03 04:46:11 G9283 bug added subscriber G9283
2013-01-04 09:33:48 Dimitri John Ledkov description After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 [Impact] * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine. * This bug represents a severe regression from precise to quantal, since is crashing on startup * It reverts the following upstream commit which has "hidden" some global symbols of the intel driver: http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 [Test Case] * Get an hybrid ATI/intel system. Install quantal: The system should boot fine Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential] * Upstream has stated that reverting this patch should be safe enough for SRU (mainly Comment 7): https://bugs.freedesktop.org/show_bug.cgi?id=56494#c6 * This patch has enabled many users to have their hybrid systems working. No reported regressions so far [Other Info] * To the best of my knowledge this patch is currently the only known way to get fglrx/intel hybrid systems to work in quantal. It has been tested by many users in the bug report and this change fixed their systems ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2013-01-04 10:20:57 Timo Aaltonen xserver-xorg-video-intel (Ubuntu): status Invalid Triaged
2013-01-04 10:20:57 Timo Aaltonen xserver-xorg-video-intel (Ubuntu): assignee Nick Andrik (andrikos) Timo Aaltonen (tjaalton)
2013-01-04 10:21:15 Timo Aaltonen nominated for series Ubuntu Quantal
2013-01-04 10:21:15 Timo Aaltonen bug task added xserver-xorg-video-intel (Ubuntu Quantal)
2013-01-04 10:21:15 Timo Aaltonen bug task added fglrx-installer (Ubuntu Quantal)
2013-01-04 10:21:15 Timo Aaltonen bug task added fglrx-installer-updates (Ubuntu Quantal)
2013-01-04 10:22:06 Timo Aaltonen xserver-xorg-video-intel (Ubuntu Quantal): status New Triaged
2013-01-04 10:22:06 Timo Aaltonen xserver-xorg-video-intel (Ubuntu Quantal): assignee Timo Aaltonen (tjaalton)
2013-01-04 10:24:32 Dimitri John Ledkov removed subscriber Ubuntu Sponsors Team
2013-01-04 14:51:14 Nick Andrik summary Low graphics mode in Hybrid ATI/Intel GPU systems after fglrx upgrade Low graphics mode in muxless hybrid ATI/Intel GPU systems after fglrx upgrade
2013-01-05 09:47:10 Launchpad Janitor fglrx-installer (Ubuntu Quantal): status New Confirmed
2013-01-05 09:47:10 Launchpad Janitor fglrx-installer-updates (Ubuntu Quantal): status New Confirmed
2013-01-05 13:57:54 Luigi R. bug added subscriber Luigi R.
2013-01-05 20:17:00 Luigi R. bug watch added http://ati.cchtml.com/show_bug.cgi?id=460
2013-01-06 00:55:39 neworld bug added subscriber neworld
2013-01-06 00:56:41 neworld fglrx-installer-updates (Ubuntu): status Fix Committed Opinion
2013-01-06 00:56:48 neworld fglrx-installer-updates (Ubuntu): status Opinion Fix Committed
2013-01-06 02:47:44 Nick Andrik description [Impact] * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine. * This bug represents a severe regression from precise to quantal, since is crashing on startup * It reverts the following upstream commit which has "hidden" some global symbols of the intel driver: http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 [Test Case] * Get an hybrid ATI/intel system. Install quantal: The system should boot fine Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential] * Upstream has stated that reverting this patch should be safe enough for SRU (mainly Comment 7): https://bugs.freedesktop.org/show_bug.cgi?id=56494#c6 * This patch has enabled many users to have their hybrid systems working. No reported regressions so far [Other Info] * To the best of my knowledge this patch is currently the only known way to get fglrx/intel hybrid systems to work in quantal. It has been tested by many users in the bug report and this change fixed their systems ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * It reverts the following upstream commit which has "hidden" some global symbols of the intel driver: http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * Upstream has stated that reverting this patch should be safe enough for SRU (mainly Comment 7): https://bugs.freedesktop.org/show_bug.cgi?id=56494#c6  * ATTENTION: It seems that this patch causes X server to crash if radeon/intel system is used (without fglrx). This is a regression for the default configuration so it is not suitable for SRU [Other Info]  * To the best of my knowledge this patch is currently the only known way to get fglrx/intel hybrid systems to work in quantal. It has been tested by many users in the bug report and this change fixed their systems ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2013-01-06 02:50:46 Nick Andrik description [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * It reverts the following upstream commit which has "hidden" some global symbols of the intel driver: http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * Upstream has stated that reverting this patch should be safe enough for SRU (mainly Comment 7): https://bugs.freedesktop.org/show_bug.cgi?id=56494#c6  * ATTENTION: It seems that this patch causes X server to crash if radeon/intel system is used (without fglrx). This is a regression for the default configuration so it is not suitable for SRU [Other Info]  * To the best of my knowledge this patch is currently the only known way to get fglrx/intel hybrid systems to work in quantal. It has been tested by many users in the bug report and this change fixed their systems ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * The proposed patch reverts the following upstream commit which has "hidden" some global symbols of the intel driver: http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * Although upstream has stated that reverting this patch should be safe enough (mainly Comment 7): https://bugs.freedesktop.org/show_bug.cgi?id=56494#c6 it seems that it can cause X server to crash if radeon/intel system is used (without fglrx). This is a regression for the default configuration so the proposed patch is not suitable for SRU ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2013-01-06 10:41:52 Lars Schütze bug added subscriber Lars Schütze
2013-01-10 14:20:29 bugbot tags apport-collected compiz-0.9 patch precise quantal referred-by-support running-unity ubuntu apport-collected compiz-0.9 patch precise quantal referred-by-support resolution running-unity ubuntu
2013-01-12 10:31:28 bruise lee bug added subscriber bruise lee
2013-01-17 15:13:02 Jonas Schwabe bug added subscriber Jonas Schwabe
2013-01-25 07:40:07 Roman Yepishev bug added subscriber Roman Yepishev
2013-01-30 11:15:32 SergSS bug added subscriber SergSS
2013-01-31 21:48:22 Robert Stonehouse bug added subscriber Robert Stonehouse
2013-02-11 08:03:21 Marco Vuano attachment added amd13_2_betacrashdmesg https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/+attachment/3523777/+files/amd13_2_betacrashdmesg
2013-02-17 16:43:26 Christopher M. Penalver fglrx-installer-updates (Ubuntu): importance Undecided High
2013-02-17 16:43:26 Christopher M. Penalver fglrx-installer-updates (Ubuntu): status Fix Committed Triaged
2013-02-17 16:44:19 Christopher M. Penalver fglrx-installer-updates (Ubuntu Quantal): importance Undecided High
2013-02-17 16:44:19 Christopher M. Penalver fglrx-installer-updates (Ubuntu Quantal): status Confirmed Triaged
2013-02-17 16:44:31 Christopher M. Penalver xserver-xorg-video-intel (Ubuntu Quantal): importance Undecided Wishlist
2013-02-17 16:45:19 Christopher M. Penalver nominated for series Ubuntu Raring
2013-02-17 18:04:39 Nick Andrik branch linked lp:~andrikos/ubuntu/quantal/fglrx-installer-updates/fix-fglrx-intel-hybrid
2013-02-17 18:05:02 Nick Andrik branch unlinked lp:~andrikos/ubuntu/quantal/fglrx-installer/fix-switch-to-igpu
2013-02-17 18:15:20 Nick Andrik xserver-xorg-video-intel (Ubuntu): status Triaged Invalid
2013-02-17 18:15:26 pcworld bug added subscriber pcworld
2013-02-17 18:15:36 pcworld information type Public Public Security
2013-02-17 18:15:53 pcworld information type Public Security Public
2013-02-17 18:19:30 Nick Andrik branch unlinked lp:~andrikos/ubuntu/quantal/xserver-xorg-video-intel/fix-ati-hybrid
2013-02-17 20:56:56 Christopher M. Penalver bug task deleted xserver-xorg-video-intel (Ubuntu Quantal)
2013-02-18 03:49:23 Nick Andrik description [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * The proposed patch reverts the following upstream commit which has "hidden" some global symbols of the intel driver: http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * Although upstream has stated that reverting this patch should be safe enough (mainly Comment 7): https://bugs.freedesktop.org/show_bug.cgi?id=56494#c6 it seems that it can cause X server to crash if radeon/intel system is used (without fglrx). This is a regression for the default configuration so the proposed patch is not suitable for SRU ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * The proposed patch updates the driver to version 13.2beta3 of upstream which seems to resolve this issue [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * This solution does not need any change on the intel driver (as a previous workaround needed). * No regressions have been reported so far using this most recent fglrx upstream, from the people affected by this bug ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . Upstream fglrx has published a new version (> 13.1 ) of the driver which seems to solve this issue. No need to revert the commit in the Intel driver any more. ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2013-02-18 03:49:47 Nick Andrik description [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * The proposed patch updates the driver to version 13.2beta3 of upstream which seems to resolve this issue [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * This solution does not need any change on the intel driver (as a previous workaround needed). * No regressions have been reported so far using this most recent fglrx upstream, from the people affected by this bug ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . Upstream fglrx has published a new version (> 13.1 ) of the driver which seems to solve this issue. No need to revert the commit in the Intel driver any more. ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * The proposed patch updates the driver to version 13.2beta3 of upstream which seems to resolve this issue [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * This solution does not need any change on the intel driver (as a previous workaround needed).  * No regressions have been reported so far using this most recent fglrx upstream, by the people affected by this bug ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . Upstream fglrx has published a new version (> 13.1 ) of the driver which seems to solve this issue. No need to revert the commit in the Intel driver any more. ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2013-02-18 05:57:50 Drew Rosoff removed subscriber Drew Rosoff
2013-02-18 15:44:11 Mikel Ruiz removed subscriber Mikel Ruiz
2013-02-19 04:27:54 Bug Watch Updater bug watch added https://bugs.freedesktop.org/show_bug.cgi?id=55834
2013-02-19 11:26:02 Ped bug watch added http://ati.cchtml.com/show_bug.cgi?id=701
2013-02-26 07:12:14 Timo Aaltonen bug task deleted xserver-xorg-video-intel (Ubuntu)
2013-03-02 12:51:44 DsXack bug added subscriber DsXack
2013-03-02 18:45:42 Julian Alarcon bug added subscriber Julian Alarcon
2013-03-03 13:11:08 William Makley bug added subscriber William Makley
2013-03-08 21:16:11 Cameron White bug added subscriber Cameron White
2013-03-13 19:44:01 Simon K bug added subscriber Simon K
2013-03-18 03:25:39 Bill bug added subscriber Bill
2013-03-18 21:07:59 Steinar Skjerven bug added subscriber Steinar Skjerven
2013-03-25 06:31:19 Brad Marshall bug added subscriber Brad Marshall
2013-04-09 16:19:47 Bryce Harrington fglrx-installer-updates (Ubuntu): assignee Canonical X.org (canonical-x)
2013-04-13 17:50:06 Rafael Keller Tesser bug added subscriber Rafael Keller Tesser
2013-04-14 11:21:09 Juan Pablo Rinaldi bug added subscriber Juan Pablo Rinaldi
2013-04-25 19:57:03 Krzysztof Gogolewski bug added subscriber Krzysztof Gogolewski
2013-04-27 21:57:15 Marco Vuano attachment added dmesgXvBAcrash https://bugs.launchpad.net/bugs/1068404/+attachment/3656826/+files/dmesgXvBAcrash
2013-04-27 21:57:15 Marco Vuano attachment added modules https://bugs.launchpad.net/bugs/1068404/+attachment/3656827/+files/modules
2013-04-27 21:57:15 Marco Vuano attachment added modulesintel https://bugs.launchpad.net/bugs/1068404/+attachment/3656828/+files/modulesintel
2013-04-27 21:57:15 Marco Vuano attachment added syslogintelcrash https://bugs.launchpad.net/bugs/1068404/+attachment/3656829/+files/syslogintelcrash
2013-04-27 21:57:15 Marco Vuano attachment added Xorglogintelcrash https://bugs.launchpad.net/bugs/1068404/+attachment/3656830/+files/Xorglogintelcrash
2013-04-27 21:57:15 Marco Vuano attachment added XorglogXvBAcrash https://bugs.launchpad.net/bugs/1068404/+attachment/3656831/+files/XorglogXvBAcrash
2013-04-27 21:57:15 Marco Vuano attachment added dmesgintelcrash https://bugs.launchpad.net/bugs/1068404/+attachment/3656832/+files/dmesgintelcrash
2013-05-03 16:10:54 Martin bug added subscriber Martin
2013-05-03 18:16:37 Noel Arzola bug added subscriber Noel Arzola
2013-05-26 20:14:40 Nick Andrik removed subscriber Nick Andrik
2013-05-28 18:15:45 Tonal bug added subscriber Tonal
2013-05-30 11:14:30 Christopher M. Penalver description [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * The proposed patch updates the driver to version 13.2beta3 of upstream which seems to resolve this issue [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * This solution does not need any change on the intel driver (as a previous workaround needed).  * No regressions have been reported so far using this most recent fglrx upstream, by the people affected by this bug ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . Upstream fglrx has published a new version (> 13.1 ) of the driver which seems to solve this issue. No need to revert the commit in the Intel driver any more. ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 [Impact]  * Hybrid systems with ATI/intel GPUs using fglrx get a segmentation fault in X when using 12.10. In stock 12.04.1 these systems were working fine.  * This bug represents a severe regression from precise to quantal, since is crashing on startup  * The proposed patch updates the driver to version 13.2beta3 of upstream which seems to resolve this issue [Test Case]  * Get an hybrid ATI/intel system.    Install quantal: The system should boot fine    Install the proprietary fglrx package and reboot: The X server crashes on startup [Regression Potential]  * This solution does not need any change on the intel driver (as a previous workaround needed).  * No regressions have been reported so far using this most recent fglrx upstream, by the people affected by this bug ====== After installing the latest fglrx-updates package on Ubuntu 12.10 (fglrx-updates_9.000-0ubuntu3_amd64) I have the same issue that was present before AMD fixed switchable graphics on PowerXpress 4.0 cards (such as my HD 6470M coupled with the intel HD Graphics 3000 of my intel Core i5-2430M). The X server has a segmentation fault and the low graphics mode is activated. WORKAROUND: fglrx-installer-13 2:13.101~beta-0ubuntu1~xedgers~quantal1 from: https://launchpad.net/~xorg-edgers/+archive/ppa?field.series_filter=quantal WORKAROUND: Follow carefully the instructions here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND As per Nick Andrik, this is a version regression of xserver-xorg-video-intel from 2.20.2 (working and in below mentioned PPA) and 2.20.3. The regression commit is http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=05dcc5f1699ba90fc14c50882e8d4be89bc4a4f9 . Upstream fglrx has published a new version (> 13.1 ) of the driver which seems to solve this issue. No need to revert the commit in the Intel driver any more. ATTENTION: 1. If you choose the integrated GPU (via Catalyst or via amdconfig --px-igpu) and your X server crashes on startup, then your are probably affected by this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1088220 2. If your system includes an old ATI GPU card (Radeon HD 2x00 3x00 4x00) which is not supported any more by fglrx drivers, then probably you suffer from this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 Subscribe and comment there please. If the X server loads (so you see no low graphics mode window) but you get no menu bars, window decorations, etc, then press Ctrl+Shift+T to open a terminal, write in there: unity --replace & and post a comment with the result. The logs from the intial bug report follow: Here is the Xorg log: [ 20.924] X.Org X Server 1.13.0 Release Date: 2012-09-05 [ 20.924] X Protocol Version 11, Revision 0 [ 20.924] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu [ 20.924] Current Operating System: Linux marco-HP-Pavilion-g6-Notebook-PC 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 [ 20.924] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=5374f779-2ae8-4842-a390-e21317364c6c ro quiet splash vt.handoff=7 [ 20.924] Build Date: 08 October 2012 03:34:01PM [ 20.924] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support) [ 20.924] Current version of pixman: 0.26.0 [ 20.924] Before reporting problems, check http://wiki.x.org  to make sure that you have the latest version. [ 20.924] Markers: (--) probed, (**) from config file, (==) default setting,  (++) from command line, (!!) notice, (II) informational,  (WW) warning, (EE) error, (NI) not implemented, (??) unknown. [ 20.924] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 19 02:42:21 2012 [ 20.924] (==) Using config file: "/etc/X11/xorg.conf" [ 20.924] (==) Using system config directory "/usr/share/X11/xorg.conf.d" [ 20.924] (==) ServerLayout "aticonfig Layout" [ 20.924] (**) |-->Screen "aticonfig-Screen[0]-0" (0) [ 20.924] (**) | |-->Monitor "aticonfig-Monitor[0]-0" [ 20.925] (**) | |-->Device "aticonfig-Device[0]-0" [ 20.925] (==) Automatically adding devices [ 20.925] (==) Automatically enabling devices [ 20.925] (==) Automatically adding GPU devices [ 20.925] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist. [ 20.925] Entry deleted from font path. [ 20.925] (==) FontPath set to:  /usr/share/fonts/X11/misc,  /usr/share/fonts/X11/Type1,  /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,  built-ins [ 20.925] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules" [ 20.925] (II) The server relies on udev to provide the list of input devices.  If no devices become available, reconfigure udev or disable AutoAddDevices. [ 20.925] (II) Loader magic: 0x7fed9d5d2c40 [ 20.925] (II) Module ABI versions: [ 20.925] X.Org ANSI C Emulation: 0.4 [ 20.925] X.Org Video Driver: 13.0 [ 20.925] X.Org XInput driver : 18.0 [ 20.925] X.Org Server Extension : 7.0 [ 20.925] (II) config/udev: Adding drm device (/dev/dri/card0) [ 20.926] (--) PCI:*(0:0:2:0) 8086:0116:103c:1670 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00005000/64 [ 20.926] (--) PCI: (0:1:0:0) 1002:6760:103c:1670 rev 0, Mem @ 0xa0000000/268435456, 0xc2600000/131072, I/O @ 0x00004000/256, BIOS @ 0x????????/131072 [ 20.926] (II) Open ACPI successful (/var/run/acpid.socket) [ 20.926] Initializing built-in extension Generic Event Extension [ 20.926] Initializing built-in extension SHAPE [ 20.926] Initializing built-in extension MIT-SHM [ 20.926] Initializing built-in extension XInputExtension [ 20.926] Initializing built-in extension XTEST [ 20.926] Initializing built-in extension BIG-REQUESTS [ 20.926] Initializing built-in extension SYNC [ 20.926] Initializing built-in extension XKEYBOARD [ 20.926] Initializing built-in extension XC-MISC [ 20.926] Initializing built-in extension SECURITY [ 20.926] Initializing built-in extension XINERAMA [ 20.926] Initializing built-in extension XFIXES [ 20.926] Initializing built-in extension RENDER [ 20.926] Initializing built-in extension RANDR [ 20.926] Initializing built-in extension COMPOSITE [ 20.926] Initializing built-in extension DAMAGE [ 20.926] Initializing built-in extension MIT-SCREEN-SAVER [ 20.926] Initializing built-in extension DOUBLE-BUFFER [ 20.926] Initializing built-in extension RECORD [ 20.926] Initializing built-in extension DPMS [ 20.926] Initializing built-in extension X-Resource [ 20.926] Initializing built-in extension XVideo [ 20.926] Initializing built-in extension XVideo-MotionCompensation [ 20.926] Initializing built-in extension XFree86-VidModeExtension [ 20.926] Initializing built-in extension XFree86-DGA [ 20.926] Initializing built-in extension XFree86-DRI [ 20.926] Initializing built-in extension DRI2 [ 20.926] (II) "glx" will be loaded by default. [ 20.926] (II) LoadModule: "glx" [ 21.055] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so [ 21.055] (II) Module glx: vendor="Advanced Micro Devices, Inc." [ 21.055] compiled for 6.9.0, module version = 1.0.0 [ 21.056] Loading extension GLX [ 21.056] (II) LoadModule: "fglrx" [ 21.057] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so [ 21.562] (II) Module fglrx: vendor="FireGL - AMD Technologies Inc." [ 21.562] compiled for 1.4.99.906, module version = 9.0.2 [ 21.562] Module class: X.Org Video Driver [ 21.563] (II) Loading sub module "fglrxdrm" [ 21.563] (II) LoadModule: "fglrxdrm" [ 21.563] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so [ 21.581] (II) Module fglrxdrm: vendor="FireGL - AMD Technologies Inc." [ 21.581] compiled for 1.4.99.906, module version = 9.0.2 [ 21.581] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2 [ 21.581] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11 [ 21.581] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16 [ 21.581] (++) using VT number 7 [ 21.581] (WW) Falling back to old probe method for fglrx [ 21.624] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiDynamicMajor: found major device number 251 [ 21.639] ukiOpenByBusid: Searching for BusID PCI:1:0:0 [ 21.639] ukiOpenDevice: node name is /dev/ati/card0 [ 21.639] ukiOpenDevice: open result is 10, (OK) [ 22.206] ukiOpenByBusid: ukiOpenMinor returns 10 [ 22.206] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0 [ 22.234] (--) Chipset Supported AMD Graphics Processor (0x6760) found [ 22.246] (II) fglrx: intel VGA device detected, load intel driver. [ 22.247] (II) LoadModule: "intel" [ 22.263] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so [ 22.263] (II) Module intel: vendor="X.Org Foundation" [ 22.263] compiled for 1.13.0, module version = 2.20.9 [ 22.263] Module class: X.Org Video Driver [ 22.263] ABI class: X.Org Video Driver, version 13.0 [ 22.264] (II) AMD Video driver is running on a device belonging to a group targeted for this release [ 22.276] (II) AMD Video driver is signed [ 22.276] (II) fglrx(0): pEnt->device->identifier=0x7fed9df19450 [ 22.276] (II) intel(1): pEnt->device->identifier=(nil) [ 22.276] (EE) Screen 1 deleted because of no matching config section. [ 22.276] (EE) [ 22.276] (EE) Backtrace: [ 22.277] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fed9d35dac6] [ 22.277] (EE) 1: /usr/bin/X (0x7fed9d1b5000+0x1ac8f9) [0x7fed9d3618f9] [ 22.277] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fed9c4db000+0xfcb0) [0x7fed9c4eacb0] [ 22.277] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x15080) [0x7fed99051080] [ 22.277] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fed9903c000+0x16365) [0x7fed99052365] [ 22.277] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7fed9d2538b4] [ 22.277] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7fed9d23eb16] [ 22.277] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7fed9d24c9da] [ 22.277] (EE) 8: /usr/bin/X (0x7fed9d1b5000+0x44386) [0x7fed9d1f9386] [ 22.277] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fed9b16076d] [ 22.277] (EE) 10: /usr/bin/X (0x7fed9d1b5000+0x448ad) [0x7fed9d1f98ad] [ 22.277] (EE) [ 22.277] (EE) Segmentation fault at address 0x0 [ 22.277] Fatal server error: [ 22.277] Caught signal 11 (Segmentation fault). Server aborting [ 22.277] [ 22.277] (EE) Please consult the The X.Org Foundation support   at http://wiki.x.org  for help. [ 22.277] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information. [ 22.277] (EE) [ 22.295] Server terminated with error (1). Closing log file. The system is a Hp g6-1279sl notebook with a discrete AMD HD 6470M card and an Intel Core i5-2430M CPU with Intel HD graphics 3000. I'm running Ubuntu 12.10 desktop 64 bit version. The driver (both the 12.9 beta on AMD site and the 12-9 beta driver from the Quantal Quetzal fglrx-installer-updates repository) worked correctly on Ubuntu 12.4.1 64-bit. Using fglrx (fglrx_9.000-0ubuntu3_amd64.deb) instead of fglrx-updates doesn't solve this problem. Potential duplicate https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199 . --- .tmp.unity.support.test.0: ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 CasperVersion: 1.315 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz DistUpgraded: Fresh install DistroCodename: precise DistroRelease: Ubuntu 12.04 DistroVariant: ubuntu GraphicsCard:  Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670]  Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])    Subsystem: Hewlett-Packard Company Device [103c:1670] LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1) MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC Package: fglrx-installer (not installed) ProcEnviron:  TERM=xterm  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: bootkbd=it console-setup/layoutcode=it console-setup/variantcode=nodeadkeys locale=it_IT noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz splash -- maybe-ubiquity ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24 Tags: precise running-unity ubuntu referred-by-support compiz-0.9 Uname: Linux 3.2.0-29-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 03/22/2012 dmi.bios.vendor: Insyde dmi.bios.version: F.63 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: 1670 dmi.board.vendor: Hewlett-Packard dmi.board.version: 09.4B dmi.chassis.type: 10 dmi.chassis.vendor: Hewlett-Packard dmi.chassis.version: Chassis Version dmi.modalias: dmi:bvnInsyde:bvrF.63:bd03/22/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr0691120000204610000620100:rvnHewlett-Packard:rn1670:rvr09.4B:cvnHewlett-Packard:ct10:cvrChassisVersion: dmi.product.name: HP Pavilion g6 Notebook PC dmi.product.version: 0691120000204610000620100 dmi.sys.vendor: Hewlett-Packard version.compiz: compiz 1:0.9.7.8-0ubuntu1.4 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3+8.0.2-0ubuntu3.2 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3+8.0.2-0ubuntu3.2 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.7 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2013-05-30 20:46:55 Simon K removed subscriber Simon K
2013-06-03 13:24:00 Rob Haswell bug added subscriber Rob Haswell
2013-06-03 13:24:17 Rob Haswell removed subscriber Rob Haswell
2013-06-06 09:28:05 bugbot tags apport-collected compiz-0.9 patch precise quantal referred-by-support resolution running-unity ubuntu apport-collected compiz-0.9 edgers patch precise quantal referred-by-support resolution running-unity ubuntu
2013-06-09 01:54:52 Pavlichenko bug added subscriber Pavlichenko
2013-06-10 17:15:41 Eslam Abd El-Ghany bug added subscriber Eslam Abd El-Ghany
2013-07-03 13:42:43 Charl Jansen bug added subscriber Charl Jansen
2013-07-06 07:20:20 Steinar Skjerven removed subscriber Steinar Skjerven
2013-07-23 04:50:10 Smirnov Alexander bug added subscriber Smirnov Alexander
2013-08-17 11:57:46 Max bug added subscriber Max
2013-09-03 12:53:57 Eslam Abd El-Ghany removed subscriber Eslam Abd El-Ghany
2013-09-11 00:46:18 Simon K bug added subscriber Simon K
2013-09-19 14:27:28 Kevin Gossett removed subscriber Kevin Gossett
2013-09-20 12:57:52 jyros bug added subscriber jyros
2013-09-30 17:11:41 Romano Giannetti bug added subscriber Romano Giannetti
2013-10-03 08:01:51 Ikuya Awashiro removed subscriber Ikuya Awashiro
2013-10-14 14:31:13 txemi bug added subscriber txemi
2013-10-29 09:45:37 Marco Vuano bug watch added http://ati.cchtml.com/show_bug.cgi?id=848
2013-10-29 10:18:00 Rob Haswell bug added subscriber Rob Haswell
2013-11-10 04:26:16 naught101 attachment added Xorg.1.log for AMD binary version 13.11 beta https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/+attachment/3904208/+files/Xorg.1.log
2013-11-10 12:05:19 Roman Yepishev removed subscriber Roman Yepishev
2013-11-11 13:06:39 naught101 attachment added Xorg.1.log https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/+attachment/3905422/+files/Xorg.1.log
2013-11-11 14:39:08 Timo Aaltonen fglrx-installer-updates (Ubuntu): assignee Canonical X.org (canonical-x)
2013-11-11 14:48:12 pcworld removed subscriber pcworld
2014-01-09 09:34:09 Christopher M. Penalver fglrx-installer (Ubuntu Quantal): status Confirmed Fix Released
2014-05-22 15:23:30 Bug Watch Updater xserver-xorg-video-intel (openSUSE): status In Progress Won't Fix
2014-05-22 18:23:33 Max removed subscriber Max
2014-12-03 09:53:03 Rolf Leggewie fglrx-installer-updates (Ubuntu Quantal): status Triaged Won't Fix
2015-04-07 03:50:22 job fglrx-installer-updates (Ubuntu): assignee job (jeppekdahl)
2015-04-07 03:50:28 job fglrx-installer (Ubuntu Quantal): assignee job (jeppekdahl)
2015-04-07 16:37:13 Juan Pablo Rinaldi removed subscriber Juan Pablo Rinaldi
2015-04-08 05:34:40 Arnaud BERCEGEAY removed subscriber Arnaud BERCEGEAY
2016-11-03 04:33:05 G9283 removed subscriber G9283